# Contributing to this repository

Thanks for your interest in Website Carbon Calculator!

## Getting started

Before you begin:

- This project is powered by Node.js, Electron and React. Check to see if you're on the Nodejs version >= 10.x.
- Have you read the [code of conduct](CODE_OF_CONDUCT.md)?
- Check out the [existing issues](https://github.com/ricardodantas/website-carbon-calculator/issues).

In time, we'll tag issues that would make a good first pull request for new contributors. An easy way to get started helping the project is to _file an issue_.
You can do that on the Website Carbon Calculator issues page by clicking on the green button at the right. Issues can include bugs to fix, features to add, or documentation
that looks outdated.

## Contributions

Website Carbon Calculator welcomes contributions from everyone.

Contributions to Website Carbon Calculator should be made in the form of GitHub pull requests. Each pull request will
be reviewed by a core contributor (someone with permission to land patches) and either landed in the
main tree or given feedback for changes that would be required.

## Pull Request Checklist

- Branch from the master branch and, if needed, rebase to the current master
  branch before submitting your pull request. If it doesn't merge cleanly with
  master you may be asked to rebase your changes.

- Commits should be as small as possible, while ensuring that each commit is
  correct independently (i.e., each commit should compile and pass tests).

- Don't put submodule updates in your pull request unless they are to landed
  commits.

- If your patch is not getting reviewed or you need a specific person to review
  it, you can @-reply a reviewer asking for a review in the pull request or a
  comment.

- Add tests relevant to the fixed bug or new feature.
